# Get specific companion - V3

Get a specific companion ad for the creative.

Endpoint: GET /v3.0/creatives/{creativeId}/companions/{companionId}
Version: v1.0

## Path parameters:

  - `creativeId` (integer, required)
    Creative ID

  - `companionId` (integer, required)
    Companion ID

## Response 200:

  - `200` (unknown)
    Companion retrieved successfully

## Response 200 fields (application/json):

  - `id` (integer)
    Companion ID

  - `details` (object)

  - `details.adServer` (string, required)
    AdServer tag name

  - `details.typ` (string, required)
    Companion type (static, iframe, or html)
    Enum: "static", "iframe", "html"

  - `details.width` (integer, required)
    Width in pixels

  - `details.height` (integer, required)
    Height in pixels

  - `details.landingUrl` (string, required)
    Declared landing URL

  - `details.iFrameUrlOrHTML` (string)
    iFrame URL (for iframe type) or HTML content (for html type)

  - `details.clickthroughUrl` (string)
    Clickthrough URL (required for static companions; must be null for iframe/html)

  - `fileExtension` (string)

  - `mimeType` (string)

  - `fileName` (string)

  - `resourceBlob` (string)
    Data blob used for images

  - `resourceUrl` (string)
    URL for external resources

## Response 401:

  - `401` (unknown)
    Unauthorized - invalid or missing JWT

## Response 403:

  - `403` (unknown)
    Forbidden - no access to creative

## Response 404:

  - `404` (unknown)
    Creative or companion not found

